
def DefConfPathHome():
	import os
	#os.path.abspath(os.curdir)
	ParentOfPyr=os.path.abspath(os.curdir)
	#ParentOfPyr=(os.environ['HOME'] + "/pyrharckade_2")
	ConfRomFile=(ParentOfPyr + "/ROM_CONFIG_FILES.csv")
	AllMedia=(ParentOfPyr + "/MEDIA/")
	ConfigKeyboardFile=ParentOfPyr + "/CONF/KeyMapKeyBoard.py"
	return ParentOfPyr,ConfRomFile,AllMedia,ConfigKeyboardFile


def DefConfPathEmu(Orientation):
	import os

	ParentOfPyr=os.path.abspath(os.curdir)
	#ParentOfPyr=(os.environ['HOME'] + "/pyrharckade_2")
	Img=(ParentOfPyr + "/MEDIA/IMG/")
	BACKGROUNG=(ParentOfPyr + "/MEDIA/IMG/IMGY/SYS.png")
	if Orientation == "Y":
		BACKGROUNG_EMU=(ParentOfPyr + "/MEDIA/IMG/menu_Y.png")
	else:
		BACKGROUNG_EMU=(ParentOfPyr + "/MEDIA/IMG/menu_X.png")
	IMG_EMU = (ParentOfPyr + "/MEDIA/IMG/EMU/")
	BACKGROUNG_START=(ParentOfPyr + "/MEDIA/IMG/dpfe_welcom_X.png")
	BlackImg = (ParentOfPyr + "/MEDIA/IMG/black.png")
	SLEEP_BEFORE_START = 4
	if Orientation == "Y":
		BACKGROUNG_ORIG=(ParentOfPyr + "/MEDIA/IMG/IMGY/bg2_Y.png")
	else:
		BACKGROUNG_ORIG=(ParentOfPyr + "/MEDIA/IMG/IMGY/bg2_X.png")
	return Img,BACKGROUNG_ORIG,BACKGROUNG,IMG_EMU,BACKGROUNG_EMU

def DefConfPathGame(Orientation):
	import os
	ParentOfPyr=os.path.abspath(os.curdir)
	#ParentOfPyr=(os.environ['HOME'] + "/pyrharckade_2")
	BinOfPyr=(ParentOfPyr + "/BIN/")
	Wheel=(ParentOfPyr + "/MEDIA/Wheel/")
	Snap=(ParentOfPyr + "/MEDIA/SNAP/")
	Sound=(ParentOfPyr + "/MEDIA/SOUND/")
	IMG_EMU = (ParentOfPyr + "/MEDIA/IMG/EMU/")
	Roms=(ParentOfPyr + "/MEDIA/ROMS/")
	Docs=(ParentOfPyr + "/MEDIA/DOCS/")
	ImgY=(ParentOfPyr + "/MEDIA/IMG/IMGY/")
	ImgX=(ParentOfPyr + "/MEDIA/IMG/IMGX/")
	Img=(ParentOfPyr + "/MEDIA/IMG/")
	BlackImg = (ParentOfPyr + "/MEDIA/IMG/black.png")
	return ParentOfPyr,BinOfPyr,Wheel,Snap,Sound,Roms,Docs,ImgY,ImgX,Img,BlackImg,IMG_EMU

